package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PlanningRekrutmenSeleksi_T")
public class PlanningRekrutmenSeleksi extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "noPlanning")
	@Caption(value="noPlanning")
	private StrukPlanning noPlanning;

	@Column(name = "noPlanning", insertable=false,updatable=false,nullable=false)
	private String noPlanningId;

	@Column(name = "tglPlanning", nullable = false)
	@Caption(value = "tglPlanning")
	private Date tglPlanning;

	@Column(name = "tglPlanningAkhir", nullable = false)
	@Caption(value = "tglPlanningAkhir")
	private Date tglPlanningAkhir;
	
	@ManyToOne
	@JoinColumn(name = "ruanganFk")
	@Caption(value="ruanganFk")
	private Ruangan ruangan;

	@Column(name = "ruanganFk", insertable=false,updatable=false,nullable=true)
	private Integer ruanganId;
	
	@Column(name = "qtyPeserta", nullable = false)
	@Caption(value = "qtyPeserta")
	private Integer qtyPeserta;
	
	@Column(name = "deskripsiDetail", nullable = true)
	@Caption(value = "deskripsiDetail")
	private String deskripsiDetail;

	@Column(name = "keteranganPlanLainnya", nullable = true)
	@Caption(value = "keteranganPlanLainnya")
	private String keteranganPlanLainnya;

	@Column(name = "tglPlanningExecAwal", nullable = true)
	@Caption(value = "tglPlanningExecAwal")
	private Date tglPlanningExecAwal;

	@Column(name = "tglPlanningExecAkhir", nullable = true)
	@Caption(value = "tglPlanningExecAkhir")
	private Date tglPlanningExecAkhir;

	@ManyToOne
	@JoinColumn(name = "ruanganExecFk")
	@Caption(value="ruanganExecFk")
	private Ruangan ruanganExec;

	@Column(name = "ruanganExecFk", insertable=false,updatable=false,nullable=true)
	private Integer ruanganExecId;

	@Column(name = "qtyPesertaExec", nullable = true)
	@Caption(value = "qtyPesertaExec")
	private Integer qtyPesertaExec;
	
	@Column(name = "keteranganExecLainnya", nullable = true)
	@Caption(value = "keteranganExecLainnya")
	private String keteranganExecLainnya;

	public StrukPlanning getNoPlanning() {
		return noPlanning;
	}

	public void setNoPlanning(StrukPlanning noPlanning) {
		this.noPlanning = noPlanning;
	}

	public String getNoPlanningId() {
		return noPlanningId;
	}

	public void setNoPlanningId(String noPlanningId) {
		this.noPlanningId = noPlanningId;
	}

	public Date getTglPlanning() {
		return tglPlanning;
	}

	public void setTglPlanning(Date tglPlanning) {
		this.tglPlanning = tglPlanning;
	}

	public Date getTglPlanningAkhir() {
		return tglPlanningAkhir;
	}

	public void setTglPlanningAkhir(Date tglPlanningAkhir) {
		this.tglPlanningAkhir = tglPlanningAkhir;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public Integer getQtyPeserta() {
		return qtyPeserta;
	}

	public void setQtyPeserta(Integer qtyPeserta) {
		this.qtyPeserta = qtyPeserta;
	}

	public String getDeskripsiDetail() {
		return deskripsiDetail;
	}

	public void setDeskripsiDetail(String deskripsiDetail) {
		this.deskripsiDetail = deskripsiDetail;
	}

	public String getKeteranganPlanLainnya() {
		return keteranganPlanLainnya;
	}

	public void setKeteranganPlanLainnya(String keteranganPlanLainnya) {
		this.keteranganPlanLainnya = keteranganPlanLainnya;
	}

	public Date getTglPlanningExecAwal() {
		return tglPlanningExecAwal;
	}

	public void setTglPlanningExecAwal(Date tglPlanningExecAwal) {
		this.tglPlanningExecAwal = tglPlanningExecAwal;
	}

	public Date getTglPlanningExecAkhir() {
		return tglPlanningExecAkhir;
	}

	public void setTglPlanningExecAkhir(Date tglPlanningExecAkhir) {
		this.tglPlanningExecAkhir = tglPlanningExecAkhir;
	}

	public Ruangan getRuanganExec() {
		return ruanganExec;
	}

	public void setRuanganExec(Ruangan ruanganExec) {
		this.ruanganExec = ruanganExec;
	}

	public Integer getRuanganExecId() {
		return ruanganExecId;
	}

	public void setRuanganExecId(Integer ruanganExecId) {
		this.ruanganExecId = ruanganExecId;
	}

	public Integer getQtyPesertaExec() {
		return qtyPesertaExec;
	}

	public void setQtyPesertaExec(Integer qtyPesertaExec) {
		this.qtyPesertaExec = qtyPesertaExec;
	}

	public String getKeteranganExecLainnya() {
		return keteranganExecLainnya;
	}

	public void setKeteranganExecLainnya(String keteranganExecLainnya) {
		this.keteranganExecLainnya = keteranganExecLainnya;
	}

}
